<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Travel Base Pro
* @since Travel Base Pro 1.0.0
*/

if ( ! function_exists( 'travel_base_pro_validate_long_excerpt' ) ) :
  function travel_base_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-base-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'travel-base-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'travel-base-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_base_pro_validate_slider_count' ) ) :
  function travel_base_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-base-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-base-pro' ) );
     } elseif ( $value > 6 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'travel-base-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_base_pro_validate_destinations_count' ) ) :
  function travel_base_pro_validate_destinations_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-base-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of categories is 3', 'travel-base-pro' ) );
     } elseif ( $value > 9 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of categories is 9', 'travel-base-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_base_pro_validate_blog_count' ) ) :
  function travel_base_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-base-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'travel-base-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travel-base-pro' ) );
     }
     return $validity;
  }
endif;

